Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		messiggy
Version:	0.5.0
Release:	alt2_33
Summary:	Messiggy is a database of celestial objects

License:	GPL-2.0-or-later
URL:		http://www.coyotegulch.com/products/messiggy/index.html
Source0:	http://www.coyotegulch.com/distfiles/%{name}-%{version}.tar.gz
Source1:	messiggy.desktop
Patch0:		messiggy-format-string.patch
Patch1: messiggy-configure-c99.patch
Patch2: messiggy-c99.patch

BuildRequires:  gcc
BuildRequires:	itzam-core-devel gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel, desktop-file-utils, icon-theme-hicolor
Source44: import.info


%description
Messiggy is a database of celestial objects, as cataloged by the French
astronomer Charles Messier in the mid-18th century.

%prep
%setup -q

%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
ln -s %{_datadir}/messiggy/pixmaps/messiggy.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/messiggy.png

%files
%doc ChangeLog COPYING README
%{_bindir}/messiggy
%{_datadir}/messiggy
%{_datadir}/applications/messiggy.desktop
%{_datadir}/icons/hicolor/32x32/apps/messiggy.png

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_33
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_31
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_28
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_27
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_26
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_25
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt2_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt2_23
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_19
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_18
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_13
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_9
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_8
- initial fc import

